Bug 179184 - Advanced Properties window sorts by attribute name not "friendly name"
Advanced Properties window sorts by attribute name not "friendly name"
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: UI - Configuration (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
:
Depends On:
Blocks: 152373 249650 FDS1.2.0
  Show dependency treegraph
 
Reported: 2006-01-27 17:35 EST by Bob Lord
Modified: 2015-01-04 18:19 EST (History)
3 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 18:58:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (1.09 KB, patch)
2008-12-16 15:17 EST, Rich Megginson
no flags Details | Diff
cvs commit log (248 bytes, text/plain)
2008-12-16 17:11 EST, Rich Megginson
no flags Details

  None (edit)
Description Pete Rowley 2006-01-27 17:35:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The advanced property error appears to sort on attribute type name, all very well, except that it also uses friendly names for some attributes but the friendly names are not accounted for in the sort.  The result is a sorted list with sorting errors (when based on what the user actually sees).


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.examine an entry in the advanced property editor
2.
3.
  

Actual Results:  A poorly sorted list e.g. Last name appears where sn would go not Last name

Expected Results:  A sorted list e.g. Last name should appear in the same place that a similarly named attribute type

Additional info:
Comment 1 Pete Rowley 2006-01-27 17:38:09 EST
s/property error/property editor
Comment 4 Rich Megginson 2008-12-16 15:17:50 EST
Created attachment 327157 [details]
diffs
Comment 5 Rich Megginson 2008-12-16 17:11:03 EST
Created attachment 327177 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Fix Description: Just call the showAllAttributes method at the end of the ctor.  This method will sort the list in the correct order.
Platforms tested: RHEL5
Flag Day: no
Doc impact: no
Comment 6 Jenny Galipeau 2009-02-27 07:26:06 EST
Verified on RHEL5 DS 8.1

Advanced properties editor sorts all attributes in alphabetical order whether friendly names or actual attribute names are displayed.
Comment 7 Chandrasekar Kannan 2009-04-29 18:58:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.